--- Starter Pokemon Random Blocks---

minetest.register_node("starter:starter", {
	tiles = {
		"ball_top.png",
		"ball_bottom.png",
		"ball_side.png",
		"ball_side.png",
		"ball_side.png",
		"ball_front.png"
	},
	drawtype = "nodebox",
	description = "??????????",
	inventory_image = "starter.png",
	wield_image = "starter.png",
	is_ground_content = true,
	paramtype = "light",
	paramtype2 = "facedir",
	groups = {oddly_breakable_by_hand=1,dig_immediate=3,},
	node_box = {
		type = "fixed",
		fixed = {
			{-0.1875, -0.5, -0.1875, 0.1875, -0.125, 0.1875}, -- NodeBox1
		}
	}
})

--- Give stuff ---

minetest.register_on_newplayer(function(player)
	player:get_inventory():add_item('main',  	'pokenodes:pokeball')
	player:get_inventory():add_item('main',  	'pokenodes:pokeball')
	player:get_inventory():add_item('main',  	'pokenodes:pokeball')
	player:get_inventory():add_item('main',  	'pokenodes:pokeball')
	player:get_inventory():add_item('main',  	'pokenodes:pokeball')
	player:get_inventory():add_item('main', 'pc:pc')
	player:get_inventory():add_item('main', 'starter:starter')
end)


--- Random Pokemons ---

minetest.register_abm({
	nodenames = {"starter:starter"},
	interval = 1,
	chance = 3,
	action = function(pos)
		pos.y=pos.y+0
		minetest.add_node(pos, {name="pokenodes:bulbasaur"})
	end,
})

minetest.register_abm({
	nodenames = {"starter:starter"},
	interval = 1,
	chance = 3,
	action = function(pos)
		pos.y=pos.y+0
		minetest.add_node(pos, {name="pokenodes:squirtle"})
	end,
})

minetest.register_abm({
	nodenames = {"starter:starter"},
	interval = 1,
	chance = 3,
	action = function(pos)
		pos.y=pos.y+0
		minetest.add_node(pos, {name="pokenodes:charmander"})
	end,
})

