-- Red Apricorn Stuff

minetest.register_node("apricorn_trees:apricorn_red", {
        description = "Red Apricorn",
        tiles = {"apricorn_tree.png"},
        drop = "default:tree",
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        inventory_image = "apricorn_red.png",
        wield_image = "apricorn_red.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
})

minetest.register_node("apricorn_trees:apricorn_tree_red", {
        description = "Red Apricorn Tree",
        tiles = {"apricorn_tree_red.png"},
        paramtype = "light",
        drop = "default:tree",
        walkable = false,
        drawtype = "plantlike",
        inventory_image = "apricorn_red.png",
        wield_image = "apricorn_red.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
        on_rightclick = function(pos, node, clicker)
                playername = clicker:get_player_name()
                if minetest.is_protected(pos, playername) then
                        minetest.record_protection_violation(pos, playername)
                        return
                end
                minetest.add_node(pos, {name = "apricorn_trees:apricorn_red"})
                -- code for the entity to pop-out
                minetest.add_item(pos, "apricorn_trees:apricorn_red")
        end
})
 
minetest.register_abm({
	nodenames = {"apricorn_trees:apricorn_red"},
	neighbors = {"default:dirt_with_grass"},
	interval = 30.0,
	chance = 10,
	action = function(pos, node, active_object_count, active_object_count_wider)
		minetest.set_node(pos, {name = "apricorn_trees:apricorn_tree_red"})
	end,
})

-- Black Apricorn Stuff

minetest.register_node("apricorn_trees:apricorn_black", {
        description = "Black Apricorn",
        tiles = {"apricorn_tree.png"},
        paramtype = "light",
        drop = "default:tree",
        walkable = false,
        drawtype = "plantlike",
        inventory_image = "apricorn_black.png",
        wield_image = "apricorn_black.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
})

minetest.register_node("apricorn_trees:apricorn_tree_black", {
        description = "Black Apricorn Tree",
        tiles = {"apricorn_tree_black.png"},
        paramtype = "light",
        drop = "default:tree",
        walkable = false,
        drawtype = "plantlike",
        inventory_image = "apricorn_black.png",
        wield_image = "apricorn_black.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
        on_rightclick = function(pos, node, clicker)
                playername = clicker:get_player_name()
                if minetest.is_protected(pos, playername) then
                        minetest.record_protection_violation(pos, playername)
                        return
                end
                minetest.add_node(pos, {name = "apricorn_trees:apricorn_black"})
                -- code for the entity to pop-out
                minetest.add_item(pos, "apricorn_trees:apricorn_black")
        end
})
 
minetest.register_abm({
	nodenames = {"apricorn_trees:apricorn_black"},
	neighbors = {"default:dirt_with_grass"},
	interval = 30.0,
	chance = 10,
	action = function(pos, node, active_object_count, active_object_count_wider)
		minetest.set_node(pos, {name = "apricorn_trees:apricorn_tree_black"})
	end,
})

-- Blue Apricorn Stuff

minetest.register_node("apricorn_trees:apricorn_blue", {
        description = "Blue Apricorn",
        tiles = {"apricorn_tree.png"},
        paramtype = "light",
        drop = "default:tree",
        walkable = false,
        drawtype = "plantlike",
        inventory_image = "apricorn_blue.png",
        wield_image = "apricorn_blue.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
})

minetest.register_node("apricorn_trees:apricorn_tree_blue", {
        description = "Blue Apricorn Tree",
        tiles = {"apricorn_tree_blue.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_blue.png",
        wield_image = "apricorn_blue.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
        on_rightclick = function(pos, node, clicker)
                playername = clicker:get_player_name()
                if minetest.is_protected(pos, playername) then
                        minetest.record_protection_violation(pos, playername)
                        return
                end
                minetest.add_node(pos, {name = "apricorn_trees:apricorn_blue"})
                -- code for the entity to pop-out
                minetest.add_item(pos, "apricorn_trees:apricorn_blue")
        end
})
 
minetest.register_abm({
	nodenames = {"apricorn_trees:apricorn_blue"},
	neighbors = {"default:dirt_with_grass"},
	interval = 30.0,
	chance = 10,
	action = function(pos, node, active_object_count, active_object_count_wider)
		minetest.set_node(pos, {name = "apricorn_trees:apricorn_tree_blue"})
	end,
})

-- Green Apricorn Stuff

minetest.register_node("apricorn_trees:apricorn_green", {
        description = "Green Apricorn",
        tiles = {"apricorn_tree.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_green.png",
        wield_image = "apricorn_green.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
})

minetest.register_node("apricorn_trees:apricorn_tree_green", {
        description = "Green Apricorn Tree",
        tiles = {"apricorn_tree_green.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_green.png",
        wield_image = "apricorn_green.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
        on_rightclick = function(pos, node, clicker)
                playername = clicker:get_player_name()
                if minetest.is_protected(pos, playername) then
                        minetest.record_protection_violation(pos, playername)
                        return
                end
                minetest.add_node(pos, {name = "apricorn_trees:apricorn_green"})
                -- code for the entity to pop-out
                minetest.add_item(pos, "apricorn_trees:apricorn_green")
        end
})
 
minetest.register_abm({
	nodenames = {"apricorn_trees:apricorn_green"},
	neighbors = {"default:dirt_with_grass"},
	interval = 30.0,
	chance = 10,
	action = function(pos, node, active_object_count, active_object_count_wider)
		minetest.set_node(pos, {name = "apricorn_trees:apricorn_tree_green"})
	end,
})

-- Pink Apricorn Stuff

minetest.register_node("apricorn_trees:apricorn_pink", {
        description = "Pink Apricorn",
        tiles = {"apricorn_tree.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_pink.png",
        wield_image = "apricorn_pink.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
})

minetest.register_node("apricorn_trees:apricorn_tree_pink", {
        description = "Pink Apricorn Tree",
        tiles = {"apricorn_tree_pink.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_pink.png",
        wield_image = "apricorn_pink.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
        on_rightclick = function(pos, node, clicker)
                playername = clicker:get_player_name()
                if minetest.is_protected(pos, playername) then
                        minetest.record_protection_violation(pos, playername)
                        return
                end
                minetest.add_node(pos, {name = "apricorn_trees:apricorn_pink"})
                -- code for the entity to pop-out
                minetest.add_item(pos, "apricorn_trees:apricorn_pink")
        end
})
 
minetest.register_abm({
	nodenames = {"apricorn_trees:apricorn_pink"},
	neighbors = {"default:dirt_with_grass"},
	interval = 30.0,
	chance = 10,
	action = function(pos, node, active_object_count, active_object_count_wider)
		minetest.set_node(pos, {name = "apricorn_trees:apricorn_tree_pink"})
	end,
})

-- White Apricorn Stuff

minetest.register_node("apricorn_trees:apricorn_white", {
        description = "White Apricorn",
        tiles = {"apricorn_tree.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_white.png",
        wield_image = "apricorn_white.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
})

minetest.register_node("apricorn_trees:apricorn_tree_white", {
        description = "White Apricorn Tree",
        tiles = {"apricorn_tree_white.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_white.png",
        wield_image = "apricorn_white.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
        on_rightclick = function(pos, node, clicker)
                playername = clicker:get_player_name()
                if minetest.is_protected(pos, playername) then
                        minetest.record_protection_violation(pos, playername)
                        return
                end
                minetest.add_node(pos, {name = "apricorn_trees:apricorn_white"})
                -- code for the entity to pop-out
                minetest.add_item(pos, "apricorn_trees:apricorn_white")
        end
})
 
minetest.register_abm({
	nodenames = {"apricorn_trees:apricorn_white"},
	neighbors = {"default:dirt_with_grass"},
	interval = 30.0,
	chance = 10,
	action = function(pos, node, active_object_count, active_object_count_wider)
		minetest.set_node(pos, {name = "apricorn_trees:apricorn_tree_white"})
	end,
})

-- Yellow Apricorn Stuff

minetest.register_node("apricorn_trees:apricorn_yellow", {
        description = "Yellow Apricorn",
        tiles = {"apricorn_tree.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_yellow.png",
        wield_image = "apricorn_yellow.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
})

minetest.register_node("apricorn_trees:apricorn_tree_yellow", {
        description = "Yellow Apricorn Tree",
        tiles = {"apricorn_tree_yellow.png"},
        paramtype = "light",
        walkable = false,
        drawtype = "plantlike",
        drop = "default:tree",
        inventory_image = "apricorn_yellow.png",
        wield_image = "apricorn_yellow.png",
        groups = {tree=1,choppy=1,oddly_breakable_by_hand=2,flammable=2},
        sounds = default.node_sound_leaves_defaults(),
        on_rightclick = function(pos, node, clicker)
                playername = clicker:get_player_name()
                if minetest.is_protected(pos, playername) then
                        minetest.record_protection_violation(pos, playername)
                        return
                end
                minetest.add_node(pos, {name = "apricorn_trees:apricorn_yellow"})
                -- code for the entity to pop-out
                minetest.add_item(pos, "apricorn_trees:apricorn_yellow")
        end
})
 
minetest.register_abm({
	nodenames = {"apricorn_trees:apricorn_yellow"},
	neighbors = {"default:dirt_with_grass"},
	interval = 450,
	chance = 10,
	action = function(pos, node, active_object_count, active_object_count_wider)
		minetest.set_node(pos, {name = "apricorn_trees:apricorn_tree_yellow"})
	end,
})

-- Spawning

minetest.register_abm(
        {nodenames = {"default:grass_1"},
        interval = 450,
        chance = 25,
        action = function(pos)
                pos.y=pos.y+0
                minetest.env:add_node(pos, {name="apricorn_trees:apricorn_tree_red"})
        end,
})

minetest.register_abm(
        {nodenames = {"default:grass_1"},
        interval = 450,
        chance = 25,
        action = function(pos)
                pos.y=pos.y+0
                minetest.env:add_node(pos, {name="apricorn_trees:apricorn_tree_black"})
        end,
})

minetest.register_abm(
        {nodenames = {"default:grass_1"},
        interval = 450,
        chance = 25,
        action = function(pos)
                pos.y=pos.y+0
                minetest.env:add_node(pos, {name="apricorn_trees:apricorn_tree_blue"})
        end,
})

minetest.register_abm(
        {nodenames = {"default:grass_1"},
        interval = 450,
        chance = 25,
        action = function(pos)
                pos.y=pos.y+0
                minetest.env:add_node(pos, {name="apricorn_trees:apricorn_tree_green"})
        end,
})

minetest.register_abm(
        {nodenames = {"default:grass_1"},
        interval = 450,
        chance = 25,
        action = function(pos)
                pos.y=pos.y+0
                minetest.env:add_node(pos, {name="apricorn_trees:apricorn_tree_pink"})
        end,
})

minetest.register_abm(
        {nodenames = {"default:grass_1"},
        interval = 450,
        chance = 25,
        action = function(pos)
                pos.y=pos.y+0
                minetest.env:add_node(pos, {name="apricorn_trees:apricorn_tree_white"})
        end,
})

minetest.register_abm(
        {nodenames = {"default:grass_1"},
        interval = 450,
        chance = 25,
        action = function(pos)
                pos.y=pos.y+0
                minetest.env:add_node(pos, {name="apricorn_trees:apricorn_tree_yellow"})
        end,
})